ChangeSet 1.1167, 2003/04/29 15:06:12-07:00, greg@kroah.com

[PATCH] USB: fix CHECKER found bug in the io_edgeport.c driver


diff -Nru a/drivers/usb/serial/io_edgeport.c b/drivers/usb/serial/io_edgeport.c
--- a/drivers/usb/serial/io_edgeport.c	Wed Apr 30 13:34:51 2003
+++ b/drivers/usb/serial/io_edgeport.c	Wed Apr 30 13:34:51 2003
@@ -1356,6 +1356,7 @@
 	} else {
 		memcpy(&fifo->fifo[fifo->head], data, firsthalf);
 	}  
+	usb_serial_debug_data (__FILE__, __FUNCTION__, firsthalf, &fifo->fifo[fifo->head]);
 
 	// update the index and size
 	fifo->head  += firsthalf;
@@ -1376,14 +1377,11 @@
 		} else {
 			memcpy(&fifo->fifo[fifo->head], &data[firsthalf], secondhalf);
 		}
+		usb_serial_debug_data (__FILE__, __FUNCTION__, secondhalf, &fifo->fifo[fifo->head]);
 		// update the index and size
 		fifo->count += secondhalf;
 		fifo->head  += secondhalf;
 		// No need to check for wrap since we can not get to end of fifo in this part
-	}
-
-	if (copySize) {
-		usb_serial_debug_data (__FILE__, __FUNCTION__, copySize, data);
 	}
 
 	send_more_port_data((struct edgeport_serial *)usb_get_serial_data(port->serial), edge_port);
